Name: libmrproject
Version: 0.10
Release: alt1.1

Summary: Support libraries for Mr. Project
Summary(ru_RU.KOI8-R):    Mr. Project

License: LGPL
Group: System/Libraries
Url: http://www.codefactory.se/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name-%version.ru.po

#%add_findprov_lib_path %_libdir/%name

# Automatically added by buildreq on Mon Sep 22 2003
BuildRequires: bzlib-devel docbook-utils eric gcc-c++ glib2-devel gnome-libs-devel gtk-doc hostinfo libgsf-devel libpq3-devel libstdc++-devel libxml2-devel libxslt-devel pkgconfig postgresql-devel python-devel sgml-tools zlib-devel

%description
A support library for accessing Mr. Project data.
%description -l ru_RU.KOI8-R
      Mr. Project

%package devel
Summary: The files needed for libmrproject application development
Summary(ru_RU.KOI8-R): ,       libmrproject
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains the necessary include files
for developing applications that access Mr. Project data

%description devel -l ru_RU.KOI8-R
 %name-devel    
  ,    Mr. Project.

%package devel-static
Summary: Static library for libmrproject application development
Summary(ru_RU.KOI8-R):        libmrproject
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The %name-devel-static package contains the static library
for developing applications that access Mr. Project data

%description devel-static -l ru_RU.KOI8-R
 %name-devel-static   
  ,    Mr. Project.

%prep
%setup -q
cp -f %SOURCE1 po/ru.po

%build
%configure
%make_build

%install
#makeinstall
make DESTDIR=$RPM_BUILD_ROOT install

%find_lang %name

%post -n %name -p /sbin/ldconfig

%postun -n %name -p /sbin/ldconfig

%files -f %name.lang
%doc ChangeLog README COPYING
%dir %_libdir/mrproject
%dir %_libdir/mrproject/storage-modules
%_libdir/mrproject/storage-modules/lib*.so
%dir %_libdir/mrproject/file-modules
%_libdir/mrproject/file-modules/lib*.so
%_libdir/lib*.so.*
# libmproject will owner of /usr/share/mrproject
%_datadir/mrproject

%files -n %name-devel
%_libdir/lib*.so
%_libdir/lib*.la
%_libdir/mrproject/storage-modules/lib*.la
%_libdir/mrproject/file-modules/lib*.la
%_libdir/pkgconfig/*
%_includedir/mrproject-1.0

#%files -n %name-devel-static
#%_libdir/lib*.a

%changelog
* Fri Sep 26 2003 Vitaly Lipatov <lav@altlinux.ru> 0.10-alt1.1
- fix description locale

* Mon Sep 22 2003 Vitaly Lipatov <lav@altlinux.ru> 0.10-alt1
- new version

* Mon Mar 17 2003 Vitaly Lipatov <lav@altlinux.ru> 0.9.1-alt1
- new version
- update russian translation

* Tue Jan 07 2003 Vitaly Lipatov <lav@altlinux.ru> 0.8-alt1pre
- new version (0.8pre)

* Sun Dec 01 2002 Vitaly Lipatov <lav@altlinux.ru> 0.7-alt2
- add dtd patch from Richard Hult <rhult@codefactory.se>
- add installing dtd and file-modules

* Thu Nov 28 2002 Vitaly Lipatov <lav@altlinux.ru> 0.7-alt1
- new version
- build static library disabled

* Sat Nov 02 2002 Vitaly Lipatov <lav@altlinux.ru> 0.6-alt2
- new version
- update ru.po
- remove -static package
- spec cleanup and messages translated in russian
- add ru.po

* Wed Oct 09 2002 AEN <aen@altlinux.ru> 0.6-alt1
- first build for Sisyphus

